%define pygtk_ver    0.6.11
%define libglade_ver 0.17

Summary:      Pygtk interface and matching libglade
Name:         pygtk1
Version:      %{pygtk_ver}
Release:      1
License:      GPL
Group:        System Environment/Libraries
Source0:      pygtk-%{version}.tar.gz
Source1:      libglade-%{libglade_ver}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

Obsoletes:    python-pygtk1

%define _prefix /usr/lib/pygtk1
%define _mandir /usr/lib/pygtk1/man

%description
This is a separate version of the pygtk1 package. This package is a
hack that enables mammut, ceres and other packages that depend on
pygtk1 to be built.

%prep
%setup -q -n pygtk-%{version}

%build
tar xvzf %{SOURCE1}
(cd libglade-%{libglade_ver};
 %configure
 make)

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
(cd libglade-%{libglade_ver};
 make DESTDIR=$RPM_BUILD_ROOT install
 # and another install in the real destination, or else we have
 # to build two packages
 make install)

%configure --with-libglade-config=%{_bindir}/libglade-config
make
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%{_prefix}

%changelog
* Tue Jun 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.11-1
- Initial build, thanks to Kjetil Matheussen for the pointers
- added an obsoletes for the old temporary python-pygtk1 package so
  that it gets deleted when users upgrade
